/* font definitions */
@font-face {
    font-family: "Fira Code";
    src: url("../fonts/Fira-Code.woff2") format("woff2-variations");
    font-weight: 300 700;
    font-style: normal;
}

@font-face {
    font-family: "Fira Sans";
    src: url("../fonts/FiraSans.woff2") format("woff2-variations");
    font-weight: 300 700;
    font-style: normal;
}

@font-face{
    font-family: "Fira Sans";
    src: url("../fonts/FiraSans-Italic.woff2") format("woff2-variations");
    font-weight: 300 700;
    font-style: italic;
}


/* font styling */
:root {
    --font-monospace: "Fira Code";
    --font-sans: "Fira Sans";
    font-size: 100%;
}

body {
    font-family: var(--font-sans);
    line-height: 150%;
    color: var(--font-main);
}

.content__metadata, .page__header, .page__aside, .page__footer {
    font-family: var(--font-monospace);
}

p {
    margin: 0 0 1.5rem 0;
    font-weight: 350;
}

h1 {
    font-family: var(--font-monospace);
    font-weight: 600;
    font-size: 125%;
    margin: 1rem 0 0 0;
    color: var(--font-em);
    a:link, a:visited {
        color: inherit;
    }
    a:focus, a:hover, a:active {
        color: var(--link);
    }
}
h1:first-child {
    margin-top: 0;
}

h2, h3, h4 {
    font-family: var(--font-monospace);
    font-weight: 600;
    font-size: 110%;
    margin: 0 0 0 0;
    color: var(--font-em);
    a:link, a:visited {
        color: inherit;
    }
    a:focus, a:hover, a:active {
        color: var(--link);
    }
}


b, strong {
    font-weight: 700;
}

a:link, a:visited {
    color: var(--font-alt);
}

a:focus, a:hover, a:active {
    color: var(--link);
}

::selection, mark {
    background-color: var(--highlight);
    color: var(--bg);
}


/* sidebar */
.about__title, .about__description {
    color: var(--font-alt);
    font-size: 100%;
    line-height: 125%;
    margin: 0 0 .5rem 0;
}


/* footer */

.license-text {
    color: var(--font-alt);
}
